/**************************************************************************/
/*! 
    @file     NFCReader.h
    @author   jose maria sabater
 
    This example is for read the FreestyleLibre tag
*/
/**************************************************************************/

/* la lectura  del tag de Abbott la haremos utilizando el 
CR95HF incluido en el BM019 de Solutions Cubed */


#ifndef NFCReader_h
#define NFCReader_h

#include "Arduino.h"
#include <SPI.h>

class NFCReader
{
	public:
		NFCReader(int SSPinNFC, int IRQPinNFC);
		void NFCsetup();
		void IDN_Command();
		byte SetProtocol_Command();
		byte Inventory_Command();
	    String Read_Memory (byte Memory_block);
		void GetTime (int minutes);
		int GetGlucose (int readGlucose);
	private:
		int SSPin;  // Slave Select pin
		int IRQPin;  // Sends wake-up pulse
		byte TXBuffer[40];    // transmit buffer
		byte RXBuffer[40];    // receive buffer
		byte _NFCReady;
};

 String printHex(int num, int precision);

#endif